/**
 *
 * Bonita
 * Copyright (C) 1999 Bull S.A.
 * Bull 68 route de versailles  78434 Louveciennes Cedex France
 * Further information: bonita@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
--------------------------------------------------------------------------
 * $Id: sendMail.java,v 1.2 2006/05/05 23:47:41 egberts Exp $
 *
--------------------------------------------------------------------------
 */


package action.email;

import java.io.File;
import java.util.Properties;
import javax.mail.Session;
//import javax.mail.Address;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class sendMail {


  public void sendText(String mailServer, 
                   String to,
                   String from,
                   String subject,
                   String body) {
  	try {
//        System.out.println("mailServer = " + mailServer);
//        System.out.println("to = " + from);
//        System.out.println("from = " + to);
//        System.out.println("subject = " + subject);
//        System.out.println("body = " + body);

	    	Properties p = new Properties();
		    p.put("mail.host", mailServer);
		    Session session = Session.getDefaultInstance(p, null);

       	//Session session = (Session)PortableRemoteObject.narrow(new InitialContext().lookup("Mail"), Session.class);
       	MimeMessage m = new MimeMessage(session);
       	m.setFrom(new InternetAddress(from) );
       	//Address[] to = new InternetAddress[] { new InternetAddress(from) };
      	m.setRecipients(javax.mail.Message.RecipientType.TO, to);
       	m.setSubject(subject);
       	m.setSentDate(new java.util.Date());
       	m.setContent(body,"text/plain");
       	Transport.send(m);
       	System.out.println("Email sent to: " + to);
   	}
   	catch (Exception e) {
     		System.out.println("sendMail:sendText() Error: " + e);
   	}
  }
	 public static void sendFile(String mailServer,
             String to,
             String from,
             String subject,
             String path,
             String file) 
	 {
		 try 
		 {
			 Properties mailProperties = new Properties();
			 mailProperties.setProperty("mail.store.protocol","imap");
			 mailProperties.setProperty("mail.transport.protocol","smtp");
			 mailProperties.setProperty("mail.smtp.host",mailServer);
			 mailProperties.setProperty("mail.to",to);
			 mailProperties.setProperty("mail.from",from);
			 mailProperties.setProperty("mail.subject",subject);
			 
			 String filePath = "";
			 if(path != null)
			 {
			 	filePath = path;
			 }
			 if(file != null)
			 {
				 filePath += file;
			 }
//			 System.out.println("sendMail:sendFile() File '" + filePath +"'"); 
			 File f = new File(filePath);
			 if(f.exists())
			 {
				 mailProperties.setProperty("mail.messagepath",filePath);
				 MailClient.send(mailProperties);
			 }
			 else
			 {
		     		System.out.println("sendMail:sendFile() Error: File '" + filePath +"' not found"); 
			 }
		 }
		 catch(Exception e)
		 {
	     		System.out.println("sendMail:sendFile() Error: " + e);
	     		e.printStackTrace();

		 }

	 }


}

